#include <Wire.h>
#include "PM6025.h"

PM6025 lcd;

void setup() {
  // Serial.begin(9600); 
  lcd.init(0xFF);      //Test mode
  delay(3000);
}

void loop() {
  long a = 314159265;
  int b = -6025;
  long c = -5729578;

//---- Clear screen ---------------  
  lcd.init();
  delay(1000);

//-- Write signed numbers ---------  
  lcd.write(1,1,a);
  lcd.setDP(1,8);   
  lcd.write(2,1,c);
  lcd.setDP(2,5);   
  lcd.write(2,9,b);  
  delay(5000);

//---- Clear screen ---------------
  lcd.init();
  
//---- Write digits into Row 1 ----   
  for(int k=0; k<13; k++) {
    delay(250);
    lcd.setDigit(1,(13-k),k);  
  } 
  delay(1000); 

//---- Write digits into Row 2 -----  
  for(int k=0; k<13; k++) {
    delay(250);
    lcd.setDigit(2,(13-k),k+3);  
  } 
  delay(1000);  

//---- Write letters into Row 3 ---- 
  for(int k=14; k>0; k--) {        
    delay(250);
    lcd.setChar(k,('N'-k));  
  }  
  delay(1000);

//---- Write decimal commas --------
  for(int j=1; j<3; j++) {
    for(int k=1; k<11; k++) {        
      lcd.setDP(j,k); 
      delay(500); 
    } 
  }  
  delay(1000); 

//---- Clear decimal commas --------
  for(int j=1; j<3; j++) {
    for(int k=1; k<11; k++) {        
      lcd.clearDP(j,k); 
      delay(250); 
    } 
  }  
  delay(1000);   

//---- Show sidebar symbols -------- 
  for(int k=0; k<5; k++) { 
    lcd.setSymbols(sV1 | sNull);    delay(500);
    lcd.setSymbols(sV2 | sNet);     delay(500);  
    lcd.setSymbols(sV3 | sBalance); delay(500);
    lcd.setSymbols(sV4 | sBattery); delay(500);  
    lcd.setSymbols(sV5);            delay(500); 
  } 
//---- Show all sidebar symbols ----  
  lcd.setSymbols(0xF0F1);    
  delay(2000);   
}





